Bug 27098 - Debugger opens new file that was already open, if project is inside a symlink
Summary: Debugger opens new file that was already open, if project is inside a symlink
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Model (show other bugs)
Version: Trunk
Hardware: PC Linux
: --- normal
Target Milestone: master
Assignee: Lluis Sanchez
URL:
Depends on:
Blocks:
 
Reported: 2015-02-16 09:55 UTC by Andres G. Aragoneses
Modified: 2015-03-20 13:13 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Andres G. Aragoneses 2015-02-16 09:55:00 UTC
Steps to reproduce:
1. Create a symlink from a folder inside your $HOME, i.e. $HOME/symlink that goes to /home/someOtherLocation/
2. Create a new solution and project in $HOME/symlink/ , i.e. $HOME/symlink/testsol/testproj.csproj
3. Open solution that was just created, browsing it through $HOME.
4. Put a breakpoint in Program.cs, start debugging.

Current results:
When the debugger stops, it opens a new file in MonoDevelop (/home/someOtherLocation/testsol/Program.cs).

Expected results:
Breakpoint should be hit in the currently opened Program.cs.

Pull request coming.
Comment 1 Andres G. Aragoneses 2015-02-16 10:00:01 UTC
https://github.com/mono/monodevelop/pull/735
Comment 3 xamarin-release-manager 2015-03-20 13:13:10 UTC
Fixed in version 6.0.0.324 (new-project-model)